[Gelöst] nvidia treiber probleme nach update

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

Hinweis: In dem Thema [Gelöst] nvidia treiber probleme nach update gibt es 6 Antworten. Der letzte Beitrag () befindet sich ganz unten auf dieser Seite.
  • [Gelöst] nvidia treiber probleme nach update

    Hi,
    ich habe gestern den standart opensuse update gemacht. Leider habe ich nicht darauf geachtet was geupdated wurde.
    Heute hat dann der propietäre NVIDIA treiber nicht mehr funktioniert.
    Ich habe den kompletten Output vonÖ:

    Quellcode

    1. zypper in -f nvidia-gfxG02-kmp-desktop

    hier hochgeladen: pastebin.com/atwEci3t

    edit: Ich benutze das nvidia-repo

    Mir ist aber dieser Teil hier aufgefallen:

    Quellcode

    1. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol drm_open
    2. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol try_module_get
    3. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol dma_ops
    4. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol drm_poll
    5. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol pci_enable_device
    6. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol agp_bind_memory
    7. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol drm_pci_init
    8. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol pci_dev_put
    9. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol put_page
    10. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol agp_enable
    11. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol __pci_register_driver
    12. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol proc_mkdir_mode
    13. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol pci_disable_msi
    14. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol pv_mmu_ops
    15. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol remap_pfn_range
    16. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol seq_lseek
    17. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol proc_create_data
    18. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol pci_unregister_driver
    19. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol pci_enable_msi_range
    20. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol agp_backend_acquire
    21. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol pv_cpu_ops
    22. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol get_user_pages
    23. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol drm_gem_mmap
    24. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol drm_ioctl
    25. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol i2c_del_adapter
    26. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol module_put
    27. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol vm_insert_page
    28. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol agp_free_memory
    29. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol noop_llseek
    30. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol drm_read
    31. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol vmap
    32. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol current_task
    33. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol vga_tryget
    34. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol agp_allocate_memory
    35. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol pm_vt_switch_required
    36. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol pci_set_master
    37. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol agp_unbind_memory
    38. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol PDE_DATA
    39. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol proc_remove
    40. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol i2c_add_adapter
    41. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol seq_read
    42. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol acpi_bus_unregister_driver
    43. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol __register_chrdev
    44. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol pm_vt_switch_unregister
    45. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol acpi_bus_get_device
    46. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol agp_copy_info
    47. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol set_page_dirty_lock
    48. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol pci_disable_device
    49. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol single_release
    50. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol drm_pci_exit
    51. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol vga_set_legacy_decoding
    52. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol single_open
    53. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol agp_backend_release
    54. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol drm_release
    55. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol acpi_bus_register_driver
    56. depmod: WARNING: //lib/modules/3.16.6-2-desktop/updates/nvidia.ko disagrees about version of symbol module_layout
    57. Warning: /lib/modules/3.16.6-2-desktop is inconsistent
    58. Warning: weak-updates symlinks might not be created
    Alles anzeigen


    Ich hoffe der output ist hilfreich. Ich bin zunächst wider auf den nouveau treiber zurück, aber ich würde gerne wider den proprietären benutzen.
    Vielen Dank schonmal :)

    Dieser Beitrag wurde bereits 3 mal editiert, zuletzt von oggimog () aus folgendem Grund: code box edit

    Für den Inhalt des Beitrages 80730 haftet ausdrücklich der jeweilige Autor: oggimog

  • Gibt es zur Zeit Probleme mit dem aktuellen Kernel:
    13.2 startproblem nach Kernel-Update

    Was anscheinend noch funktioniert ist die Installation des Nvidia-Treibers von der Homepage, das ist allerdings nichts für Anfänger.
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 80733 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Ah ok, danke.
    Das heist, an der Lösung wird gearbeitet?
    Ok, ich hatte nicht mit bekommen, dass ich einen kernel update gemacht habe. Ich sollte da vielleicht mehr drauf achten.

    Für den Inhalt des Beitrages 80734 haftet ausdrücklich der jeweilige Autor: oggimog

  • Versuch es mit einem Neustart des PC, sodass der aktuelle Kernel läuft, und dann das installieren der passenden Treiber.
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 80736 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Ich habe den nvidia treiber von hand installiert. Alles funktioniert super, danke.

    Ich hatte zuvor neu gestarted mit dem nouveau treiber und dann nvidia unter "init 3" neu installiert. Alles hat nicht funktioniert.

    Ist es ein Problem, wenn ich das nvidia-repo aktiv lasse? Bzw wenn der nvidia treiber im repo aktualisiert ist, kann ich dan einfach wider vom repo drüber installieren?

    Für den Inhalt des Beitrages 80739 haftet ausdrücklich der jeweilige Autor: oggimog

  • Wenn Du den Nvidia-Treiber von der Homepage verwendest, musst Du den erst deinstallieren und danach kannst Du den Treiber aus dem Repo installieren.
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 80740 haftet ausdrücklich der jeweilige Autor: Sauerland